SDL_MapGPUTransferBuffer(3)

NAME
SDL_MapGPUTransferBuffer - Maps a transfer buffer into application address space.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void * SDL_MapGPUTransferBuffer(
    SDL_GPUDevice *device,
    SDL_GPUTransferBuffer *transfer_buffer,
    bool cycle);

DESCRIPTION
You must unmap the transfer buffer before encoding upload commands. The memory is owned by the graphics driver - do NOT call SDL_free() on the returned pointer.

FUNCTION PARAMETERS

device
    a GPU context.

transfer_buffer
    a transfer buffer.

cycle
    if true, cycles the transfer buffer if it is already bound.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.